summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-11-20 20:44:02 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-11-20 21:36:14 +0100
commitff2566ea218834a85008e385a89f97f7d46415e5 (patch)
tree6d2533a0ab5b6c754a227e8364893eba67640e40 /sci-libs/libnova/libnova-0.16.0.ebuild
parentsys-kernel/gentoo-sources: Linux patch 4.19.85 (diff)
downloadgentoo-ff2566ea218834a85008e385a89f97f7d46415e5.tar.gz
gentoo-ff2566ea218834a85008e385a89f97f7d46415e5.tar.bz2
gentoo-ff2566ea218834a85008e385a89f97f7d46415e5.zip
sci-libs/libnova: 0.16.0 version bump
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'sci-libs/libnova/libnova-0.16.0.ebuild')
-rw-r--r--sci-libs/libnova/libnova-0.16.0.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/sci-libs/libnova/libnova-0.16.0.ebuild b/sci-libs/libnova/libnova-0.16.0.ebuild
new file mode 100644
index 00000000000..7d3e9344735
--- /dev/null
+++ b/sci-libs/libnova/libnova-0.16.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Celestial Mechanics and Astronomical Calculation Library"
+HOMEPAGE="http://libnova.sourceforge.net/"
+SRC_URI="https://dev.gentoo.org/~asturm/distfiles/${P}.tar.xz"
+
+LICENSE="LGPL-2"
+SLOT="0/0.16"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples"
+
+DEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf --disable-static
+}
+
+src_compile() {
+ default
+ use doc && emake -C doc doc
+}
+
+src_install() {
+ use doc && HTML_DOCS=( doc/html/. )
+ default
+
+ if use examples; then
+ emake clean
+ rm examples/Makefile* || die
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}